Bug 740083 - timeout value accepted in repo sync and repo clone are inconsistent
Summary: timeout value accepted in repo sync and repo clone are inconsistent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 29
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 21:10 UTC by Preethi Thomas
Modified: 2014-03-31 01:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Preethi Thomas 2011-09-20 21:10:01 UTC
Description of problem:

see below that clone accepts year & month values while sync doesn't.

[root@preethi ~]# pulp-admin -u admin -p admin repo clone  --id=f15 --clone_id=f15-clone --feed=none --timeout=P2Y3M4DT5H6M -F
Repository [f15] is being cloned as [f15-clone]
Clone: Finished
Item Details: 
Tree_Files: 5/5
Rpms: 2935/2935

[root@preethi ~]# pulp-admin -u admin -p admin repo sync --id=f15 --timeout=P2Y3M4DT5H6M -F
error: operation failed: Timeouts specifying months or years are not supported P2Y3M4DT5H6M
[root@preethi ~]# pulp-admin -u admin -p admin repo sync --id=f15 --timeout=P2DT5H6M -F
Sync for repository f15 started
Sync: Finished
1/2941 new items downloaded
2940/2941 existing items processed

Item Details: 
Tree_Files: 6/6
Rpms: 2935/2935


Version-Release number of selected component (if applicable):
[root@katello-test ~]# rpm -q pulp
pulp-0.0.232-1.el6.noarch





Additional info:

Comment 1 Jason Connor 2011-10-11 05:06:19 UTC
added same check in clone as we have for sync, but will now error out if a month or year is specified in the timeout

Comment 2 Jeff Ortel 2011-10-13 00:49:21 UTC
build: 0.238

Comment 3 Preethi Thomas 2011-10-13 19:07:06 UTC
[root@preethi ~]# rpm -q pulp
pulp-0.0.238-1.fc15.noarch


[root@preethi ~]# pulp-admin -u admin -p admin repo clone  --id=f14 --clone_id=f14-clone --feed=none --timeout=P2Y3M4DT5H6M -F
Timeout may not contain months or years
[root@preethi ~]# 
[root@preethi ~]# pulp-admin -u admin -p admin repo clone  --id=f14 --clone_id=f14-clone --feed=none --timeout=P2M4DT5H6M -F
Timeout may not contain months or years
[root@preethi ~]# pulp-admin -u admin -p admin repo clone  --id=f14 --clone_id=f14-clone --feed=none --timeout=P2Y4DT5H6M -F
Timeout may not contain months or years
[root@preethi ~]# 
root@preethi ~]# pulp-admin -u admin -p admin repo clone  --id=f14 --clone_id=f14-clone --feed=none --timeout=P2DT5H6M -F
Repository [f14] is being cloned as [f14-clone]
Clone: Finished
Item Details: 
Tree_File: 6/6
Rpm: 2766/2766

Comment 4 Preethi Thomas 2012-02-24 20:18:29 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 5 Preethi Thomas 2012-02-24 20:19:12 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.